# Estimate credit cost for contact enrichment

Returns the estimated credit cost for a contact enrichment request without consuming any credits
or returning data. Use the same parameters as the enrich endpoint.

Endpoint: POST /data-api/v2/contacts/enrich/estimate
Security: authorization

## Security:

  - `authorization` (unknown)
    http bearer API_KEY

## Request body:

  - `application/json` (unknown)
    Enrich estimate request

## Request fields (application/json):

  - `fields` (array, required)
    Fields to enrich for each contact.

  - `ids` (array, required)
    List of contact IDs to enrich. A maximum of 20 IDs may be enriched per request.

## Response 200:

  - `200` (unknown)
    Estimate response

## Response 200 fields (application/json):

  - `available_credits` (integer, required)
    Remaining credits in cycle

  - `credits_estimate` (number, required)
    Max credits that will be consumed

  - `details` (object, required)
    Per-data-type breakdown (only includes requested fields)

  - `details.contact_email` (object)

  - `details.contact_email.credits` (number)
    Credits for this data type

  - `sufficient_credits` (boolean, required)
    Whether org has enough credits

## Response 401:

  - `401` (unknown)
    Unauthorized

## Response 401 fields (application/json):

  - `errors` (array)

  - `errors.detail` (string, required)
    Example: The api key provided is not valid

  - `errors.source` (string)

  - `errors.title` (string, required)
    Example: Unauthorized

## Response 422:

  - `422` (unknown)
    Unprocessable Entity

## Response 422 fields (application/json):

  - `errors` (array, required)

  - `errors.detail` (string, required)
    Example: null value where string expected

  - `errors.source` (object, required)

  - `errors.source.pointer` (string, required)
    Example: /data/attributes/petName

  - `errors.title` (string, required)
    Example: Invalid value

## Response 503:

  - `503` (unknown)
    Service Unavailable

## Response 503 fields (application/json):

  - `errors` (array)

  - `errors.detail` (string, required)
    Example: Unable to verify credit availability. Please try again later. If the error persists, contact customersupport@hginsights.com.

  - `errors.source` (string)

  - `errors.title` (string, required)
    Example: Service unavailable

